scriptName = "DiscogsAutoTagWeb"
'Add scripts.ini entries
Dim inip : inip = SDB.ApplicationPath&"Scripts\Scripts.ini"
Dim inif : Set inif = SDB.Tools.IniFileByPath(inip)
If Not (inif Is Nothing) Then
	inif.StringValue(scriptName,"Filename") = "DiscogsAutoTagWeb.vbs"
	inif.StringValue(scriptName,"Procname") = "DiscogsAutoTagWeb"
	inif.StringValue(scriptName,"Order") = "10"
	inif.StringValue(scriptName,"DisplayName") = "AutoTag from Discogs"
	inif.StringValue(scriptName,"Description") = "Auto tag songs from Discogs.com"
	inif.StringValue(scriptName,"Language") = "VBScript"
	inif.StringValue(scriptName,"ScriptType") = "3"
	SDB.RefreshScriptItems
End If



Const ForReading = 1, ForWriting = 2, ForAppending = 8
Set ini = SDB.IniFile
If Not (ini Is Nothing) Then
  'We define default settings only if they do not exist in ini file yet
  If ini.StringValue("DiscogsAutoTagWeb","APIKEY") <> "" Then
    defaultKey = ini.StringValue("DiscogsAutoTagWeb","APIKEY")
  End If 
End If


APIkey = InputBox("Please enter your Discogs API key below. if you don't have any API key, please go to http://www.discogs.com/help/api .","Discogs AutoTag from Web Script", defaultKey)

if (APIkey = "") Then 
   MsgBox "Please get a Discogs API Key and re-install the Script"
Else
   Dim scriptFile : scriptFile = SDB.ApplicationPath & "Scripts\DiscogsAutoTagWeb.vbs"

   Set objFSO = CreateObject("Scripting.FileSystemObject")
   Set objFile = objFSO.OpenTextFile(scriptFile, ForReading)

   strText = objFile.ReadAll
   objFile.Close
   strNewText = Replace(strText, "<DISCOGS_APIKEY>", APIkey)

   Set objFile = objFSO.OpenTextFile(scriptFile, ForWriting)
   objFile.WriteLine strNewText
   objFile.Close

   If Not (ini Is Nothing) Then
     ini.StringValue("DiscogsAutoTagWeb","APIKEY") = APIkey
   End If

End If

